Subject: Re: bug#46495: 28.0.50; [native-comp] Build fails for 32bit --with-wide-int

From: Andrea Corallo <[email-masked]>
Date: Sat, 10 Apr 2021 16:49:15 +0000

Andrea Corallo <[email-masked]> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>>> From: Andrea Corallo <[email-masked]>
>>>> Cc: [email-masked], [email-masked]
>>>> Date: Thu, 01 Apr 2021 07:07:53 +0000
>>>> 
>>>> Eli Zaretskii <[email-masked]> writes:
>>>> 
>>>> >> From: Andrea Corallo <[email-masked]>
>>>> >> Cc: [email-masked], [email-masked]
>>>> >> Date: Wed, 31 Mar 2021 19:43:17 +0000
>>>> >> 
>>>> >> > So with these 3 files in that directory, which one will be loaded by
>>>> >> > Emacs, and how will Emacs know which to load?
>>>> >> 
>>>> >> Emacs will scan and hash the source file and load the correct one if
>>>> >> present.
>>>> >
>>>> > And if the source file isn't available?
>>>> 
>>>> No eln will be loaded.
>>>
>>> Ouch!  That's a general issue, then, not just when there are multiple
>>> copies of *.eln for the same .el file, right?  IOW, if Emacs is
>>> installed such that the *.el files are not available, it will not load
>>> the *.eln files, only the *.elc files.  I think we should at least
>>> produce a run-time warning about that.
>>
>> Correct, okay the warning should not be a problem (taking note into my
>> todo).
>
> Okay dc393517ca adds the warning emittion.  I've also added a customize
> `comp-warning-on-missing-source' to silence that in case.
>
>   Andrea

Not an expert of the bug tracker here but I think this is still open.
In case should we close it?

  Andrea